著名 PHP 框架 Yii2 将使用 Ruby 重写?

oschina
 oschina
发布于 2013年04月02日
收藏 8

大名鼎鼎的PHP框架Yii官网首页昨天出现了一则重磅消息,声称将使用Ruby代替PHP语言来重写下一个大版本Yii2。



原文内容翻译如下:

我们很高兴地宣布我们关于Yii2的发展决定,从2013年4月1日,现有Yii2代码将使用Ruby语言重写。当前的PHP代码将保持原样。经过数月的考虑,我们认为Ruby版本的Yii2将比PHP版本表现更好。

我们将尽最大努力让你尽可能容易地过渡,你无需担心潜在的迁移问题。


当然,这很有可能是Yii开发团队调皮了,在愚人节开的一个玩笑而已。真实情况是什么呢?

使用Ruby重写是不可能了,但是Yii2将使用PHP 5.3以上版本重写,将使用一些新的语言功能,这意味着Yii 2.0版本将不兼容1.1版本。Yii团队表示会尽一切努力,使过渡尽可能容易。

目前,官方尚没有给出Yii2明确的发布时间,你可以在Github上查看该项目的路线图。Yii团队称,如果你有一个新项目基于Yii开发,就不要等2.0版本了,该版本正式发布还需要一段时间呢。

目前最新的Yii版本为1.1.13,下载:http://www.yiiframework.com/download/

Via Yii

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:著名 PHP 框架 Yii2 将使用 Ruby 重写?
加载中

最新评论(33

kevinG
kevinG
愚人节开的玩笑,官网已经删除这个文章啦!
LeeNux
LeeNux
愚人节快乐
erichua23
erichua23
擦, 被骗了...
夏鱼的鱼
夏鱼的鱼
这个才是真正大高端黑,大PHP又被黑了。
盘先海
盘先海

引用来自“lidashuang”的评论

引用来自“gaicitadie”的评论

引用来自“李马燕”的评论

引用来自“gaicitadie”的评论

引用来自“bundles”的评论

引用来自“李马燕”的评论

那就投靠我们laravel吧,yii弱爆了 qq群:16406911

+1,laravel3已经玩透了,现在等laravel4,目前bate5,等出正式版.

laravel4已经失去了轻便的优势,开发环境的搭建还得用命令行,把php易于部署的优势全丢了,框架包由几百k变成几十M

4确实较3复杂,但是不同意你的说法,artisan提供了强大的命令行工具,而环境搭建只是用了包管理的方式管理加载依赖,这本身是更好的做法

既然都靠包管理了,为什么不换成ruby或python语言?比php顺手多了,php唯一的优点就是容易部署,不用被那些复杂的依赖、包管理所拖累

php 难部署, ruby 应用很好部署

PHP哪里难部署了?ruby的空间应该都提供git等部署方式吧,如果vps,部署都很方便。
ifsc01
ifsc01

引用来自“gaicitadie”的评论

引用来自“李马燕”的评论

引用来自“gaicitadie”的评论

引用来自“bundles”的评论

引用来自“李马燕”的评论

那就投靠我们laravel吧,yii弱爆了 qq群:16406911

+1,laravel3已经玩透了,现在等laravel4,目前bate5,等出正式版.

laravel4已经失去了轻便的优势,开发环境的搭建还得用命令行,把php易于部署的优势全丢了,框架包由几百k变成几十M

4确实较3复杂,但是不同意你的说法,artisan提供了强大的命令行工具,而环境搭建只是用了包管理的方式管理加载依赖,这本身是更好的做法

既然都靠包管理了,为什么不换成ruby或python语言?比php顺手多了,php唯一的优点就是容易部署,不用被那些复杂的依赖、包管理所拖累

php 难部署, ruby 应用很好部署
子弹兄
子弹兄
玩笑吧
帖子列表
帖子列表

引用来自“walden”的评论

用ruby重写 疯了

看了看官网,很可能是愚人节玩笑
返回顶部
顶部